summaryrefslogtreecommitdiffstats
path: root/graphics/picasa/picasa.SlackBuild
diff options
context:
space:
mode:
author Robby Workman <rw@rlworkman.net>2010-05-11 14:55:18 +0200
committer Michiel van Wessem <michiel@slackbuilds.org>2010-05-11 14:55:18 +0200
commit9ebabdf476c08d8259fe619f6f95b48962dd9cc5 (patch)
tree5b990f5332fb2fd3702307e3b1ca9ce4780d91d0 /graphics/picasa/picasa.SlackBuild
parenta026a8265500ccedb97a314008f0dca56e3364a8 (diff)
downloadslackbuilds-9ebabdf476c08d8259fe619f6f95b48962dd9cc5.tar.gz
slackbuilds-9ebabdf476c08d8259fe619f6f95b48962dd9cc5.tar.xz
graphics/picasa: Initial import
Diffstat (limited to 'graphics/picasa/picasa.SlackBuild')
-rw-r--r--graphics/picasa/picasa.SlackBuild96
1 files changed, 96 insertions, 0 deletions
diff --git a/graphics/picasa/picasa.SlackBuild b/graphics/picasa/picasa.SlackBuild
new file mode 100644
index 0000000000..af51d9f75c
--- /dev/null
+++ b/graphics/picasa/picasa.SlackBuild
@@ -0,0 +1,96 @@
+#!/bin/bash
+#
+# Slackware build script of picasa (binary repackaging)
+
+# Copyright 2006 Robby Workman (http://rlworkman.net)
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SCRIPT IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SCRIPT, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=picasa
+VERSION=2.2.2820
+ARCH=${ARCH:-i386} # The binary is built for i386 - leave this alone
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=`pwd`
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+# Require the script to exit if any command fails
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+
+# Extract the picasa stuff from the installer; don't run the install script
+/bin/sh $CWD/picasa-$VERSION-5.$ARCH.bin --target $TMP/$PRGNAM-$VERSION --noexec
+
+# Move the relevant parts into the upcoming package
+cd $TMP/$PRGNAM-$VERSION
+mkdir -p $PKG/opt/$PRGNAM-$VERSION
+mv bin lib wine $PKG/opt/$PRGNAM-$VERSION
+
+# Install desktop file and icons; modify desktop files as needed
+mkdir -p $PKG/usr/share/{applications,pixmaps}
+install -m 0644 $TMP/$PRGNAM-$VERSION/desktop/picasa.xpm \
+ $PKG/usr/share/pixmaps/picasa.xpm
+install -m 0644 $TMP/$PRGNAM-$VERSION/desktop/google-picasa.desktop.template \
+ $PKG/usr/share/applications/google-picasa.desktop
+sed -i s#EXEC#\/usr\/bin\/picasa# \
+ $PKG/usr/share/applications/google-picasa.desktop
+sed -i s#ICON#\/usr\/share\/pixmaps\/picasa.xpm# \
+ $PKG/usr/share/applications/google-picasa.desktop
+install -m 0644 $TMP/$PRGNAM-$VERSION/desktop/google-picasa-mediadetector.desktop.template \
+ $PKG/usr/share/applications/google-picasa-mediadetector.desktop
+sed -i s#EXEC#\/usr\/bin\/mediadetector# \
+ $PKG/usr/share/applications/google-picasa-mediadetector.desktop
+sed -i s#ICON#\/usr\/share\/pixmaps\/picasa.xpm# \
+ $PKG/usr/share/applications/google-picasa-mediadetector.desktop
+
+# Install documentation
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/scripts
+for i in GPLV2 LGPLV2 LICENSE.FOSS README ;
+do \
+ install -m 0644 $TMP/$PRGNAM-$VERSION/$i $PKG/usr/doc/$PRGNAM-$VERSION/$i ;
+done
+for i in \
+ picasa-hook-email.sh.template picasa-hook-filemanager.sh.template \
+ picasa-hook-mimehandler.sh.template picasa-hook-urlhandler.sh.template ;
+do \
+ install -m 0755 $TMP/$PRGNAM-$VERSION/desktop/$i \
+ $PKG/usr/doc/$PRGNAM-$VERSION/scripts/$i ;
+done
+
+# Create symlinks in /usr/bin to picasa and mediadetector
+mkdir -p $PKG/usr/bin
+( cd $PKG/usr/bin
+ ln -s ../../opt/$PRGNAM-$VERSION/bin/picasa picasa
+ ln -s ../../opt/$PRGNAM-$VERSION/bin/mediadetector mediadetector
+)
+
+# Add slack-desc and doinst.sh (which updates desktop database after install)
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+# Ensure sane ownership and permissions and make the package
+cd $PKG
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+/sbin/makepkg -c n -l y -p $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz